// Header file containing the prototypes of the functions that
// are exported by the module dpUtilities.C

#ifndef _UTILITIES_H_
#define _UTILITIES_H_

#include <iostream>
using namespace std;
#include <string>
#include "dpTypes.h"
#include "dpGrid2d.h"

void dpPrintGrid(ostream& os,dpGrid2d& grid);
void dpPrintGrid(ostream& os, DIME_REAL *mem, int nxp, int nyp, int pad);
const std::string dpGetFileName(const char *identifier,int level,int iteration=0);
DIME_REAL dpCalcOmega(DIME_REAL hx, DIME_REAL hy);
int dpNumLevelsLimit(int nxp, int nyp);
void dpPrintTimes(const char *id);

#endif
